<resources>

    <!-- Base application theme. -->
    <style name="Theme.MarleApp" parent="Theme.Backbone">
        <!-- Customize your theme here. -->
        <item name="colorPrimary">@color/colorPrimary</item>
        <item name="colorPrimaryDark">@color/colorPrimaryDark</item>
        <item name="colorAccent">@color/colorAccent</item>
        <item name="alertDialogTheme">@style/Theme.MarleApp.Dialog</item>
        <item name="toolbarTheme">@style/Theme.MarleApp.Toolbar</item>
        <item name="android:textColorSecondary">@color/textColor1</item>
    </style>

    <style name="Theme.MarleApp.Survey">
        <item name="toolbarTheme">@style/Theme.MarleApp.Toolbar.Transparent</item>
        <item name="android:windowBackground">@android:color/white</item>
        <item name="colorPrimaryDark">@color/dark_gray</item>
        <item name="android:windowContentOverlay">@null</item>
    </style>

    <style name="Theme.MarleApp.Toolbar.Transparent">
        <item name="colorControlNormal">@color/rsb_warm_gray</item>
        <item name="colorPrimary">@android:color/white</item>
        <item name="toolbarStyle">@style/Widget.MarleApp.Toolbar.Transparent</item>
    </style>

    <style name="Theme.MarleApp.Dialog" parent="Theme.AppCompat.Light.Dialog.Alert">
        <item name="colorAccent">@color/colorAccent</item>
        <item name="android:textColorPrimary">@color/rsb_warm_gray</item>
        <item name="android:background">@android:color/white</item>
    </style>

    <style name="Theme.MarleApp.Toolbar">
        <item name="colorControlNormal">@android:color/white</item>
        <item name="toolbarStyle">@style/Widget.MarleApp.Toolbar</item>
    </style>

    <style name="Base.Widget.MarleApp.Toolbar" parent="@style/Widget.AppCompat.Toolbar">
        <item name="android:background">?attr/colorPrimary</item>
        <item name="android:minHeight">56dp</item>
        <item name="titleTextAppearance">@style/TextAppearance.Widget.MarleApp.Toolbar.Title</item>
    </style>

    <style name="TextAppearance.Widget.MarleApp.Toolbar.Title" parent="@style/TextAppearance.Widget.AppCompat.Toolbar.Title">
        <item name="android:textColor">@color/textColor1</item>
        <item name="android:textSize">20sp</item>
    </style>

    <style name="TextAppearance.Widget.MarleApp.Toolbar.Title.Transparent">
        <item name="android:textColor">@color/textColor1</item>
    </style>

    <style name="Widget.MarleApp.Toolbar" parent="@style/Base.Widget.MarleApp.Toolbar">
        <item name="android:elevation">4dp</item>
        <item name="android:outlineProvider">bounds</item>
    </style>

    <style name="Widget.MarleApp.Toolbar.Transparent" parent="@style/Base.Widget.MarleApp.Toolbar">
        <item name="android:elevation">0dp</item>
        <item name="android:outlineProvider">none</item>
        <item name="titleTextAppearance">
            @style/TextAppearance.Widget.MarleApp.Toolbar.Title.Transparent
        </item>
    </style>

    <style name="Theme.MarleApp.NoActionBar">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
    </style>

    <style name="Theme.MarleApp.AppBarOverlay" parent="ThemeOverlay.AppCompat.Dark.ActionBar" />

    <style name="Theme.MarleApp.PopupOverlay" parent="ThemeOverlay.AppCompat.Light" />


</resources>